Failed upgrade from 8.6UBUNTU14 to 8.8.5

Ask questions about your setup or get help installing ZCS server (ZD section below).
User avatar
maxxer
Advanced member
Advanced member
Posts: 77
Joined: Fri Oct 04, 2013 2:12 am
Contact:

Failed upgrade from 8.6UBUNTU14 to 8.8.5

Postby maxxer » Tue Jan 16, 2018 6:26 pm

Hi.
I tried the above upgrade tonight and miserably failed! :(

First I had an error saying packages could not be installed, to check install.log for errors:

Code: Select all

Can not remove packages. Check $LOGFILE for details.
Exiting - the system is unchanged

sadly it didn't report any error, just that package download was complete in download only mode (in Italian):

Code: Select all

Scaricamento completato e in modalità solo scaricamento


So I found bug 107309, and managed to fix by running the installer with the C locale. Unfortunately, after this I ran into another much much bigger problem: package installation failed, system left in a broken state! The errors:

Code: Select all

dpkg: error processing archive /var/cache/apt/archives/zimbra-osl_1.0.9-1zimbra8.7b1.14.04_all.deb (--unpack):
 trying to overwrite '/opt/zimbra/docs/open_source_licenses.txt', which is also in package zimbra-core 8.6.0.GA.1153.UBUNTU14.64

 dpkg: error processing archive /var/cache/apt/archives/zimbra-perl-mail-spamassassin_3.4.1-1zimbra8.7b2.14.04_all.deb (--unpack):
 trying to overwrite '/opt/zimbra/data/spamassassin/localrules/v340.pre', which is also in package zimbra-mta 8.6.0.GA.1153.UBUNTU14.64dpkg:

 error processing archive /var/cache/apt/archives/zimbra-spamassassin-rules_1.0.0-1zimbra8.7b1.14.04_all.deb (--unpack):
 trying to overwrite '/opt/zimbra/data/spamassassin/rules/72_active.cf', which is also in package zimbra-mta 8.6.0.GA.1153.UBUNTU14.64

comes from the old issue 106907 which seems to be fixed long time ago. According to this other thread it might happen if the dpkg database is corrupted, maybe by another failed install/upgrade. But from what I can see in the logs of the previous failed attempts the apt database were not touched, the error happened right after package download, so install didn't start yet.

Any idea on how to proceed with upgrade? I've now reverted back to a snapshot before upgrade, so the system is back at its 8.6 state.

thanks


User avatar
DualBoot
Outstanding Member
Outstanding Member
Posts: 803
Joined: Mon Apr 18, 2016 8:18 pm
Location: Earth
ZCS/ZD Version: ZCS FLOSS - 8.7.11 Mutli servers

Re: Failed upgrade from 8.6UBUNTU14 to 8.8.5

Postby DualBoot » Tue Jan 16, 2018 6:31 pm

Before each upgrade I flush the apt cache and run apt update.
After that I run the installer.
Maybe it could help.
phoenix
Ambassador
Ambassador
Posts: 25771
Joined: Fri Sep 12, 2014 9:56 pm

Re: Failed upgrade from 8.6UBUNTU14 to 8.8.5

Postby phoenix » Tue Jan 16, 2018 6:34 pm

maxxer wrote:
DualBoot wrote:Before each upgrade I flush the apt cache and run apt update.

indeed the clean command could have helped, if there was a leftover package around. but anyway since the bug is apparently fixed, there should have been a more up to date version on the repository...
Are you sure the fix is in 8.8.5? FWIW, ZCS 8.8.6 is out today perhaps you could try that?
Regards

Bill

Rspamd: A high performance spamassassin replacement

If you'd like to see this implemented in a future version of ZCS then please vote on Bugzilla entries 97706 & 108168
User avatar
maxxer
Advanced member
Advanced member
Posts: 77
Joined: Fri Oct 04, 2013 2:12 am
Contact:

Re: Failed upgrade from 8.6UBUNTU14 to 8.8.5

Postby maxxer » Tue Jan 16, 2018 6:40 pm

DualBoot wrote:Before each upgrade I flush the apt cache and run apt update.

indeed the clean command could have helped, if there was a leftover package around. but anyway since the bug is apparently fixed, there should have been a more up to date version on the repository...
User avatar
maxxer
Advanced member
Advanced member
Posts: 77
Joined: Fri Oct 04, 2013 2:12 am
Contact:

Re: Failed upgrade from 8.6UBUNTU14 to 8.8.5

Postby maxxer » Tue Jan 16, 2018 7:35 pm

phoenix wrote:Are you sure the fix is in 8.8.5? FWIW, ZCS 8.8.6 is out today perhaps you could try that?

it has been included into 8.7.1 so should be in 8.8. I'll see from the changelog if there's anything relevant for 8.8.6 (which I missed for really one hour or so! sic!)

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 16 guests